<?php
//Incluimos conexion a la base de 
require_once('../config/Conexion.php');

Class Cliente
{
  //Implementando nuestro constructor
  public function __construct()
  {

  }
    
      public function insertar($nombre,$idtipo_documento,$num_documento,$celular,$telefono,$whatsapp,$email,$estado,$idtipo_persona,$clavehash,$estado_portal) {
        $sql = "INSERT INTO persona(nombre,idtipo_persona,idtipo_documento,num_documento,celular,telefono,whatsapp,email,estado,password,estado_portal) 
                VALUES ('$nombre','$idtipo_persona','$idtipo_documento','$num_documento','$celular','$telefono','$whatsapp','$email','$estado','$clavehash','$estado_portal')";
        return ejecutarConsulta($sql);
    }

    // Método para editar
    public function editar($idpersona,$nombre,$idtipo_documento,$num_documento,$celular,$telefono,$whatsapp,$email,$estado,$clavehash,$estado_portal) {
         if($clavehash > 0) {
        $sql = "UPDATE persona SET 
                nombre = '$nombre', 
                idtipo_documento = '$idtipo_documento', 
                num_documento = '$num_documento', 
                celular = '$celular', 
                telefono = '$telefono', 
                whatsapp = '$whatsapp',
                email = '$email', 
                estado = '$estado',
                password = '$clavehash',
                estado_portal='$estado_portal'                 
                WHERE idpersona = '$idpersona'";
        return ejecutarConsulta($sql);
      }else{
        $sql = "UPDATE persona SET 
                nombre = '$nombre', 
                idtipo_documento = '$idtipo_documento', 
                num_documento = '$num_documento', 
                celular = '$celular', 
                telefono = '$telefono', 
                whatsapp = '$whatsapp',
                email = '$email', 
                estado = '$estado',
                estado_portal='$estado_portal'                 
                WHERE idpersona = '$idpersona'";
        return ejecutarConsulta($sql);
        }
    }

    public function listarcliente()
    {
      $sql="SELECT p.idpersona,p.nombre,t.nombre as nombredocumento,p.num_documento,p.celular,p.telefono,p.whatsapp,p.email,p.estado FROM persona p join tipo_documento t on p.idtipo_documento=t.idtipo_documento where idtipo_persona='1'";
      return ejecutarConsulta($sql);
    }
     public function listar_validacion()
    {
      $sql="SELECT * FROM validacion_cliente";
      return ejecutarConsulta($sql);
    }

    public function listarproveedor()
    {
      $sql="SELECT p.idpersona,p.nombre,t.nombre as nombredocumento,p.num_documento,p.celular,p.telefono,p.whatsapp,p.email,p.estado FROM persona p join tipo_documento t on p.idtipo_documento=t.idtipo_documento where idtipo_persona='2'";
      return ejecutarConsulta($sql);
    }

    public function listarcomision()
    {
      $sql="SELECT p.idpersona,p.nombre,t.nombre as nombredocumento,p.num_documento,p.celular,p.telefono,p.whatsapp,p.email,p.estado FROM persona p join tipo_documento t on p.idtipo_documento=t.idtipo_documento where idtipo_persona='3'";
      return ejecutarConsulta($sql);
    }

    public function listartecnico()
    {
      $sql="SELECT p.idpersona,p.nombre,t.nombre as nombredocumento,p.num_documento,p.celular,p.telefono,p.whatsapp,p.email,p.estado FROM persona p join tipo_documento t on p.idtipo_documento=t.idtipo_documento where idtipo_persona='4'";
      return ejecutarConsulta($sql);
    }

    public function mostrar($idpersona)
    {
      $sql="SELECT * FROM persona where idpersona='$idpersona'";
      return ejecutarConsultaSimpleFila($sql);

    }

    //Implementamos un metodo para eliminar registro
    public function eliminar($idpersona)
    {
      $sql="DELETE FROM persona where idpersona='$idpersona'";
      return ejecutarConsulta($sql);
    }

    public function selectTipoDocumento()
    {
      $sql="SELECT * FROM tipo_documento";
      return ejecutarConsulta($sql);

    }

    public function selectProveedor()
    {
      $sql="SELECT * FROM persona where idtipo_persona='2'";
      return ejecutarConsulta($sql);

    }

    public function selectCliente()
    {
      $sql="SELECT * FROM persona where idtipo_persona='1'";
      return ejecutarConsulta($sql);
    }

    public function selectComision()
    {
      $sql="SELECT * FROM persona where idtipo_persona='3'";
      return ejecutarConsulta($sql);
    }

    public function selectPersonaTecnico()
    {
      $sql="SELECT * FROM persona where idtipo_persona='4'";
      return ejecutarConsulta($sql);
    }

  

    public function selectDireccion($idpersona)
    {
      $sql="SELECT * FROM detalle_direccion where idpersona='$idpersona'";
      return ejecutarConsulta($sql);
    }




}


?>